Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12505

Description

It seems that the table manager doesn't work with postgis tables that don't have the geometry column as last column.

1.) Try a shapefile => Table Manger works

2.) Try a postgis Table with geometry column as last column => Table manager works

3.) try a postgis table with geometry column not as last column => you get an python error

Traceback (most recent call last):

  File "/home/bjsvwpfe/.qgis//python/plugins/tablemanager/tableManager_plugin.py", line 63, in run

    dialoga = tableManager_gui.TableManager(self.iface)

  File "/home/bjsvwpfe/.qgis//python/plugins/tablemanager/tableManager_gui.py", line 173, in +init+

    self.drawFieldsTable()

  File "/home/bjsvwpfe/.qgis//python/plugins/tablemanager/tableManager_gui.py", line 183, in drawFieldsTable

    item = QTableWidgetItem(fields[i].name())

[[KeyError]]: 82

thx

History

#1 - 2010-02-16 02:19 AM - Giovanni Manghi

meanwhile you can use the "postgis manager" plugin.

#2 - 2010-02-16 02:47 AM - bjpfei -

me yes but not our users.

It's not that good if they edit the tables directly on the database ;-)

#3 - 2010-06-12 02:12 AM - Paolo Cavallini

Why not? If they got permission to do it, they're assumed safe

#4 - 2010-06-17 01:01 PM - Borys Jurgiel
- Resolution set to fixed

- Status changed from Open to Closed

fixed in v 0.1.11
